worker_context Struct Reference

`#include <signertasks.h>`

## Data Fields

engine_type * | engine
worker_type * | worker
fifoq_type * | signq
time_t | clock_in

## Detailed Description

Definition at line 38 of file signertasks.h.

## Field Documentation

## clock_in

time_t worker_context::clock_in

Definition at line 42 of file signertasks.h.

Referenced by do_signzone(), do_writezone(), and drudge().

## engine

engine_type* worker_context::engine

Definition at line 39 of file signertasks.h.

Referenced by do_forcereadsignconf(), do_forcereadzone(), do_readsignconf(), do_readzone(), do_signzone(), do_writezone(), drudge(), and engine_wakeup_workers().

## signq

fifoq_type* worker_context::signq

Definition at line 41 of file signertasks.h.

Referenced by do_signzone(), and drudge().

## worker

worker_type* worker_context::worker

Definition at line 40 of file signertasks.h.

Referenced by do_signzone(), do_writezone(), and drudge().

The documentation for this struct was generated from the following file:

- src/daemon/signertasks.h